using System;

namespace Animals
{
  public class Bird : Animal
  {
    private int _birdID; 
    public int BirdID
    {
      get { return _birdID; }
      set { _birdID = value; } 
    }

    private int _wingSpan;
    public int WingSpan
    {
      get { return _wingSpan; }
      set { _wingSpan = value; }
    }

    public override void Speak()
    {
      Console.WriteLine("Chirp"); 
    }

    public override void Walk()
    {
      Console.WriteLine("Hop hop hop"); 
    }

    public void Fly()
    {
      Console.WriteLine("Flap flap flap"); 
    }
  }
}
